#include <gtest/gtest.h>
#include "Math.hh"

using namespace Core;

// Demonstrate some basic assertions.
TEST(AppTest, BasicAssertions) {
  // Expect two strings not to be equal.
  EXPECT_STRNE("hello", "world");
  // Expect equality.
  EXPECT_EQ(7 * 6, 42);
}

TEST(Math, Vector2_Add)
{
    Vector2 vec1(1,2);
    Vector2 vec2(1.5, -2.5);
    Vector2 result(vec1.x+vec2.x, vec1.y+vec2.y);
    ASSERT_FLOAT_EQ(result.x, 2.5);
    ASSERT_FLOAT_EQ(result.y, -0.5);
}

//TODO (Eero): Add tests for Vector2
//TODO (Eero): Add tests for Vector3
int main(int argc, char** argv)
{
    ::testing::InitGoogleTest(&argc, argv);
    return RUN_ALL_TESTS();
}